| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::SimpleStatusSpecMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, SimpleStatusSpec >.

## Public Member Functions

| SimpleStatusSpecMap ()
| SimpleStatusSpecMap (const QMap< QString, SimpleStatusSpec > &a)
SimpleStatusSpecMap & | operator= (const QMap< QString, SimpleStatusSpec > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, SimpleStatusSpec>, but needed to have a discrete type in the Qt type system.

A mapping describing possible statuses.

## Constructor & Destructor Documentation

Tp::SimpleStatusSpecMap::SimpleStatusSpecMap | ( |  | ) |

inline

Tp::SimpleStatusSpecMap::SimpleStatusSpecMap | ( | const QMap< QString, SimpleStatusSpec > & | a | ) |

inline

## Member Function Documentation

SimpleStatusSpecMap& Tp::SimpleStatusSpecMap::operator= | ( | const QMap< QString, SimpleStatusSpec > & | a | ) |

inline